.mba-footer::before {
    background: var(--bg-dark);
}
footer .container {
    max-width: var(--header-container);
    padding: 0 calc(var(--unit) * 30);
}
.mba-footer {
    padding: calc(var(--unit) * 112) 0 calc(var(--unit) * 20) 0;
    color: var(--color-light);
    font-size: calc(var(--unit) * 18);
}
.mba-footer a {
    color: var(--color-light);
    text-decoration: none;
}
.mba-footer a.text-underline {
    text-decoration: underline;
}
.mba-footer a.text-underline:hover {
    text-decoration: none;
}
.mba-footer-block {
    display: flex;
}
.mba-subscription {
    width: 34%;
}
.mba-newsletter {
    margin-top: calc(var(--unit) * 35);
}
.mba-newsletter-form {
    display: flex;
    flex-direction: column;
}
.mba-newsletter-name {
    margin-bottom: calc(var(--unit) * 15);
}
.mba-newsletter-name__title {
    text-transform: uppercase;
}
.mba-newsletter-name__desc {
    font-size: calc(var(--unit) * 12);
}
.mba-newsletter-input {
    width: calc(var(--unit) * 131);
    border-radius: var(--border-radius);
    padding: calc(var(--unit) * 10) calc(var(--unit) * 15);
    border: var(--border-width) var(--border-type) var(--color-light);
    outline: none;
    background-color: transparent;
    color: var(--color-light);
}
.mba-newsletter-input::placeholder {
    color: var(--color-light);
}
.mba-newsletter-input::-moz-placeholder, .mba-newsletter-input:-moz-placeholder {
    opacity: 1;
}
.mba-newsletter-btn {
    width: calc(var(--unit) * 164);
    padding: calc(var(--unit) * 10);
    margin: calc(var(--unit) * 10) 0 calc(var(--unit) * 18) 0;
    max-width: none;
    text-transform: none;
    font-weight: normal;
    color: var(--bg-dark);
    background: var(--color-light);
    font-size: var(--small-font-size);
    border: var(--border-width) var(--border-type) transparent;
    border-radius: var(--border-radius);
}
.mba-newsletter-btn:hover,
.mba-newsletter-btn:focus,
.mba-newsletter-btn:active {
    background-color: var(--color-brand);
    color: #ffffff;
}
.mba-custom-checkbox-newsletter {
    position: absolute;
    z-index: -1;
    opacity: 0;
}
.mba-custom-checkbox-newsletter+label {
    display: inline-flex;
    align-items: center;
    user-select: none;
}
.mba-custom-checkbox-newsletter+label::before {
    content: '';
    display: inline-block;
    height: calc(var(--unit) * 25);
    width: calc(var(--unit) * 25);
    flex-shrink: 0;
    flex-grow: 0;
    border: var(--border-width) var(--border-type) var(--color-border);
    border-radius: 0.25em;
    margin-right: calc(var(--unit) * 9);
    background-repeat: no-repeat;
    background-position: center center;
    background-color: transparent;
    cursor: pointer;
}
.mba-custom-checkbox-newsletter+label.error-border::before {
    border-color: var(--color-brand);
}
.mba-custom-checkbox-newsletter:checked+label::before {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAZCAYAAADE6YVjAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAACOSURBVHgB7dHRCYAgEIBhzQUapVUCF2iSapPeFW6E2qBGaBGxM3qISOtIerofoqPMj1AIjuN+yRjT4TXH3hciAyClbHGcYmukyAMMWusmti76J9ZaCJt8BZIIVoZN7iAKkESUUjXelitEBULJMwGA0jk34lh57/v9AyLwiFyh4xEJeIWcIMBxpQIcx71rAym/RZWecZz1AAAAAElFTkSuQmCC');
}
.mba-newsletter-label {
    font-size: calc(var(--unit) * 12);
    text-decoration: underline;
}
.mba-footer-menu {
    display: flex;
}
.mba-footer-menu-block {
    width: 35%;
    margin-right: calc(var(--unit) * 30);
}
.mba-footer-menu-title {
    display: flex;
    align-items: center;
    text-transform: uppercase;
    margin-bottom: calc(var(--unit) * 15);
}
.mba-footer-menu-title__icon {
    display: none;
    cursor: pointer;
}
.mba-footer-menu-list {
    list-style-type: none;
    padding-left: 0;
}
.mba-footer-menu-list__item {
    font-size: var(--small-font-size);
    line-height: calc(var(--unit) * 18);
    margin-bottom: calc(var(--unit) * 16);
}
.mba-footer-menu-list__item a:hover {
    color: var(--color-brand);
}
.mba-footer-contacts {
    padding-left: calc(var(--unit) * 5);
}
.mba-footer-contacts-title {
    text-transform: uppercase;
    margin-bottom: calc(var(--unit) * 20);
}
.mba-footer-info {
    display: flex;
    flex-direction: column;
    font-size: var(--small-font-size);
}
.mba-footer-info__phone {
    font-size: var(--medium-font-size);
}
.mba-footer-info__phone:hover {
    color: var(--color-brand-active);
}
.mba-footer-info__time {
    margin-top: calc(var(--unit) * 10);
}
.mba-footer-info__address {
    margin-top: calc(var(--unit) * 20);
}
.mba-footer-social {
    margin-top: calc(var(--unit) * 25);
    display: flex;
    align-items: center;
}
.mba-footer-social-link__icon:hover {
    transform: scale(1.2);
}
.mba-footer-social .mba-footer-social-link:nth-child(2) {
    margin: 0 calc(var(--unit) * 20);
}
.mba-footer-rating {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 25px;
    margin-top: calc(var(--unit) * 32);
}
.mba-footer-rating__item img {
    border-radius: calc(var(--unit) * 4);
}
.mba-footer-info-personal-data {
    font-size: calc(var(--unit) * 12);
    margin-top: calc(var(--unit) * 13);
}
.mba-footer-copyright {
    font-size: calc(var(--unit) * 12);
    margin-top: calc(var(--unit) * 26);
}
.mba-footer-cookies-container {
    width: 100%;
    position: fixed;
    bottom: 30px;
    display: flex;
    justify-content: center;
    z-index: 1000;
}
.mba-footer-cookies {
    width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    border-radius: calc(var(--unit) * 20);
    background-color: var(--color-light);
    padding: calc(var(--unit) * 17) calc(var(--unit) * 30);
    color: var(--bg-dark);
    line-height: calc(var(--unit) * 16);
    font-size: 14px;
    border: var(--border-width) var(--border-type) var(--bg-dark);
    font-weight: 500;
}
@media (max-width: 1400px) {
  .mba-footer-cookies {
    width: 56%;
  }
}
@media (max-width: 1250px) {
  .mba-footer-cookies {
    width: 65%;
  }
}
@media (max-width: 1024px){
  .mba-footer-cookies {
    width: 70%;
  }
}
@media (max-width: 550px) {
    .mba-footer-cookies {
        width: 76%;
    }
}
.mba-footer-cookies__btn {
    border-radius: var(--border-radius);
    border: var(--border-width) var(--border-type) var(--bg-dark);
    padding: calc(var(--unit) * 10) calc(var(--unit) * 62);
    background-color: transparent;
}
.mba-footer-cookies__btn:hover {
    background-color: var(--color-brand-active);
    color: var(--color-light);
}
.mba-btn--inactive.mba-newsletter-btn:hover,
.mba-btn--inactive.mba-newsletter-btn:active,
.mba-btn--inactive.mba-newsletter-btn:focus {
    color: var(--bg-dark);
}
.mba-newsletter-btn:active,
.mba-newsletter-btn:focus {
    color: var(--color-light);
}
.mba-footer-form-message {
  width: 70%;
  font-size: calc(var(--unit) * 14);
  padding: calc(var(--unit) * 15) calc(var(--unit) * 10);
  border-radius: calc(var(--unit) * 20);
  background-color: var(--color-brand);
  color: var(--color-light);
  margin: calc(var(--unit) * 10) 0;
}

@media (max-width: 1024px){
    .mba-footer-rating__item:nth-child(2) {
        margin: calc(var(--unit) * 15) 0;
    }
    .mba-footer-rating {
        margin-top: calc(var(--unit) * 30);
    }
    .mba-footer-cookies__btn {
        padding: calc(var(--unit) * 10) calc(var(--unit) * 40);
    }
}
@media (min-width: 769px) and (max-width: 1024px){
    .mba-footer {
        padding: calc(var(--unit) * 57) 0 calc(var(--unit) * 70) 0;
    }
    .mba-footer-block,
    .mba-footer-info-personal-data,
    .mba-footer-copyright,
    .mba-subscription {
        width: 40%;
    }
    .mba-footer-menu {
        justify-content: space-around;
    }
    .mba-footer-menu-block {
        width: 40%;
        margin-right: calc(var(--unit) * 5);
    }
    .mba-footer-contacts {
        width: 45%;
    }
}
@media (max-width: 768px){
    .mba-footer {
        padding: 0 0 calc(var(--unit) * 50) 0;
    }
    .mba-footer-block {
        flex-wrap: wrap;
    }
    .mba-subscription {
        width: 100%;
        position: relative;
        padding: calc(var(--unit) * 20) 0 calc(var(--unit) * 28) calc(var(--unit) * 32);
    }
    .mba-subscription::before {
        content: '';
        position: absolute;
        top: 0;
        left: 50%;
        width: 100vw;
        transform: translateX(-50%);
        height: 100%;
        z-index: 0;
        background-color: var(--color-brand);
    }
    .mba-subscription > * {
        position: relative;
        z-index: 5;
    }
    .mba-footer__logo-img {
        display: none;
    }
    .mba-newsletter {
        margin-top: calc(var(--unit) * 5);
    }
    .mba-newsletter-name {
        margin-bottom: calc(var(--unit) * 23);
    }
    .mba-newsletter-actions {
        width: 78%;
        height: calc(var(--unit) * 36);
        display: flex;
        margin-bottom: calc(var(--unit) * 20);
    }
    .mba-newsletter-input {
        width: calc(var(--unit) * 229);
        border: var(--border-width) var(--border-type) var(--color-light);
        background-color: transparent;
        color: var(--color-light);
        margin-right: calc(var(--unit) * 20);
    }
    .error-border.mba-newsletter-input::placeholder {
        color: var(--color-brand);
    }
    .error-border.mba-newsletter-input {
        background-color: var(--bg-light);
        color: var(--color-brand);
    }
    .mba-newsletter-btn {
        width: calc(var(--unit) * 260);
        margin: 0;
    }
    .mba-newsletter-btn:hover {
        border-color: var(--color-light);
    }
    .mba-custom-checkbox-newsletter+label::before {
        border-color: var(--color-light);
    }
    .mba-custom-checkbox-newsletter+label.error-border::before {
        background-color: rgb(248, 112, 112);
        border-color: var(--color-light);
    }
    .mba-custom-checkbox-newsletter:checked+label::before {
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABkAAAAZCAYAAADE6YVjAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAABcSURBVHgB7dGxDcAgDETRGyEjs0FGyAgZgREYyWDJBUKiQT6q+xIl9woDSqkrmVkZr4FVAN4LRhPw4aTx8fcRGhAjNUYKBYihx4+5QmnADkoHNlA+sECVBiil0AHhL5WMMqeBTAAAAABJRU5ErkJggg==");
    }
    .mba-footer-menu {
        width: 52%;
        margin: calc(var(--unit) * 50) 0 0 calc(var(--unit) * 32);
    }
    .mba-footer-menu-block {
        width: 40%;
        margin-right: calc(var(--unit) * 45);
    }
    .mba-footer-contacts {
        width: 40%;
        margin-top: calc(var(--unit) * 50);
        padding-left: 0;
    }
    .mba-footer-info__phone {
        font-size: calc(var(--unit) * 20);
    }
    .mba-footer-info-personal-data,
    .mba-footer-copyright,
    .mba-footer-info-personal-data {
        margin-top: calc(var(--unit) * 30);
    }
}
@media (max-width: 650px) {
    .mba-footer {
        padding: 0 0 calc(var(--unit) * 65) 0;
    }
    .mba-footer-menu-title__icon {
        display: block;
    }
    .mba-footer-menu-list {
        display: none;
    }
    .mba-subscription {
        padding: calc(var(--unit) * 20) 0 calc(var(--unit) * 30.5) 0;
    }
    .mba-footer-info-personal-data,
    .mba-footer-copyright {
        margin-left: 0;
    }
    .mba-newsletter-actions {
        width: 100%;
        height: auto;
        display: block;
    }
    .mba-newsletter-input {
        margin-right: 0;
    }
    .mba-newsletter-btn {
        margin: calc(var(--unit) * 12) 0 0 0;
    }
    .mba-footer-menu {
        width: 100%;
        margin: calc(var(--unit) * 53) 0 0 0;
        justify-content: space-between;
    }
    .mba-footer-menu-block {
        width: 45%;
        margin-right: 0;
    }
    .mba-footer-menu .mba-footer-menu-block:first-child {
        margin-right: calc(var(--unit) * 35);
    }
    .mba-footer-menu-title {
        margin-bottom: calc(var(--unit) * 10);
    }
    .mba-footer-contacts {
        width: 100%;
        margin-top: calc(var(--unit) * 38);
    }
    .mba-footer-menu-list__item {
        margin-bottom: calc(var(--unit) * 15);
    }
    .mba-footer-info-personal-data {
        margin-top: calc(var(--unit) * 45);
    }
    .mba-footer-copyright {
        margin-top: calc(var(--unit) * 20);
    }
}
@media (max-width:405px) {
    .mba-subscription::before {
        left: 47%;
        width: 105vw;
    }
}